package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlybloodsugarrecord.ElderlyBloodSugarRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlybloodsugarrecord.ElderlyBloodSugarRecordRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlybloodsugarrecord.ElderlyBloodSugarRecordSaveReqVO;

import java.util.List;

public interface ElderlyBloodSugarRecordService {

    Long createElderlyBloodSugarRecord(ElderlyBloodSugarRecordSaveReqVO createReqVO);

    void updateElderlyBloodSugarRecord(ElderlyBloodSugarRecordSaveReqVO updateReqVO);

    void deleteElderlyBloodSugarRecord(Long id);

    ElderlyBloodSugarRecordRespVO getElderlyBloodSugarRecord(Long id);

    PageResult<ElderlyBloodSugarRecordRespVO> getElderlyBloodSugarRecordPage(ElderlyBloodSugarRecordPageReqVO pageReqVO);

    List<ElderlyBloodSugarRecordRespVO> getElderlyBloodSugarRecordList(ElderlyBloodSugarRecordPageReqVO pageReqVO);
}

